<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [CoverageEntry](./puppeteer.coverageentry.md)

## CoverageEntry interface

The CoverageEntry class represents one entry of the coverage report.

<b>Signature:</b>

```typescript
export interface CoverageEntry 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [ranges](./puppeteer.coverageentry.ranges.md) | Array&lt;{ start: number; end: number; }&gt; | The covered range as start and end positions. |
|  [text](./puppeteer.coverageentry.text.md) | string | The content of the style sheet or script. |
|  [url](./puppeteer.coverageentry.url.md) | string | The URL of the style sheet or script. |

